Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_uri_normalised_to_base

## Name

librdf_new_uri_normalised_to_base -- Constructor - create a new librdf_uri object from a URI string stripped of the source URI, made relative to the base URI

## Synopsis

``librdf_uri* `librdf_new_uri_normalised_to_base`` (const char * `uri_string`, librdf_uri* `source_uri`, librdf_uri* `base_uri`);`

## Arguments

`uri_string`

  URI in string form

`source_uri`

  source URI to remove

`base_uri`

  base URI to add

## Return value

a new librdf_uri object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_uri_from_uri_local_name | Up | librdf_new_uri_relative_to_base